Accounts

Get My Account

GET
/accounts/me

Returns basic information about the authenticated integration account, including contact details and whether webhooks are enabled.

Error Details:

  • 404 Not Found — the integration account associated with your credentials was not found
X-API-KEY<token>

Your API key.

In: header

Query Parameters

api-version*string

API version

Default"3.0"
Value in"3.0"

Response Body

curl -X GET "https://external-app-prod.netchexonline.net/accounts/me?api-version=3.0"
{
  "id": 0,
  "applicationName": "string",
  "description": "string",
  "contactEmail": "string",
  "contactFirstName": "string",
  "contactLastName": "string",
  "logoLink": "string",
  "moreInfoLink": "string",
  "webhooksEnabled": true
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}